# Jugofuturisticni manifest

Spletna platforma za skupno pisanje Jugofuturisticnega manifesta.

## Specifikacija

Je na voljo tukaj:

https://pisi.kompot.si/p/yufu-specs

## Postavitev razvojnega okolja

Najprej namestimo [ddev](https://ddev.com/get-started/).

Nato vzpostavimo / poženemo zabojnike z ukazom `ddev start`.

Namestimo odvisne PHP pakete z ukazom `ddev composer install`.

Osnovne podatke pa vnesemo z ukazuma:

`ddev drush site:install --account-name=root --account-pass=toor --existing-config minimal`

Sajt je dostopen preko naslova: https://yufu-manifest.ddev.site/

Lahko pa napišemo tudi `ddev launch`

### Postavitev (vuejs) "prednjegadela"

Najprej gremo v podfolder `nuxt` in namestimo odvisne javascript pakete:

`cd nuxt`

`npm i`

Skopiramo privzete nastavitve v dejavne:

`cp .env.dist .env`

Po potrebi vsebino `.env` prilagodimo.

Nato poženemo izgrajevalnik / strežnik:

`npm run dev`

### Uvoz testne vsebine

`./skripte/uvozi-vsebino.sh`

Dodatne testne vsebine lahko definiramo v modulu `yufu_data`, v poddirektoriju `content`. Pazit moramo na ime - vsak fajl se mora končati s `.content.yml`.

Navodila za konstruiranje fajlov pa so tukaj: https://www.drupal.org/docs/contributed-modules/yaml-content/examples


# Dokumentacija

## Backend

### Endpoint za dodajanje pojmov

V modulu [yufu_concept](web/modules/custom/yufu_concept/yufu_concept.info.yml "yufu_concept").
